use clap::{Command};

fn get_cli() -> Command {
	Command::new("simfonic")
		.version("0.1.0")
		.subcommand(
			Command::new("info")
				.about("Display system information")
		)
}

fn info() -> Result<(), String> {
	println!("Hello, world");
	Ok(())
}

fn main() {
	let matches = get_cli().get_matches();
	let result: Result<(), String> = match matches.subcommand() {
		Some(("info", _)) => info(),
		_ => Err("unrecognized command".to_string())
	};

	if let Err(msg) = result {
		println!("{}", msg)
	}
}
